API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/applications/{uuid}/scheduled-tasks/{task_uuid}/executions

List all executions for a scheduled task on an application.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

task_uuid*string

UUID of the scheduled task.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/applications/string/scheduled-tasks/string/executions"
[  {    "uuid": "string",    "status": "success",    "message": "string",    "retry_count": 0,    "duration": 0,    "started_at": "2019-08-24T14:15:22Z",    "finished_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}